Tweaks the travis conda setup. #233

Merged
merged 3 commits into from Jun 14, 2015

Conversation

Projects
None yet
2 participants
@moorepants
Member

moorepants commented Jun 14, 2015

Fixes #160

@oliverlee Can you check over these changes and see if you are fine with them? It reintroduces testing on the range of deps we support.

  • There are no merge conflicts.
  • If there is a related issue, a reference to that issue is in the
    commit message.
  • Unit tests have been added for the bug. (Please reference the issue #
    in the unit test.)
  • The tests pass both locally (run nosetests) and on Travis CI.
  • The code follows PEP8 guidelines. (use a linter, e.g.
    pylint, to check your code)
  • The bug fix is documented in the Release
    Notes
    .
  • The code is backwards compatible. (All public methods/classes must
    follow deprecation cycles.)
  • All reviewer comments have been addressed.

@moorepants moorepants added the testing label Jun 14, 2015

@moorepants moorepants added this to the 0.3.0 Release milestone Jun 14, 2015

@oliverlee

This comment has been minimized.

Show comment
Hide comment
@oliverlee

oliverlee Jun 14, 2015

Contributor

Looks good assuming tests pass.

Contributor

oliverlee commented Jun 14, 2015

Looks good assuming tests pass.

@oliverlee

This comment has been minimized.

Show comment
Hide comment
@oliverlee

oliverlee Jun 14, 2015

Contributor

You need to change the versions

Hint: the following packages conflict with each other:

  • numpy 1.6.2*
  • theano 0.6*
Contributor

oliverlee commented Jun 14, 2015

You need to change the versions

Hint: the following packages conflict with each other:

  • numpy 1.6.2*
  • theano 0.6*
@oliverlee

This comment has been minimized.

Show comment
Hide comment
@oliverlee

oliverlee Jun 14, 2015

Sympy versions don't match

Sympy versions don't match

@moorepants

This comment has been minimized.

Show comment
Hide comment
@moorepants

moorepants Jun 14, 2015

Member

conda install sympy=0.7.4 will install 0.7.4.1. The single = in conda gets the lastest version in that series, in this case the latest version of 0.7.4. Is that what you are referring to?

Member

moorepants commented Jun 14, 2015

conda install sympy=0.7.4 will install 0.7.4.1. The single = in conda gets the lastest version in that series, in this case the latest version of 0.7.4. Is that what you are referring to?

@oliverlee

This comment has been minimized.

Show comment
Hide comment
@oliverlee

oliverlee Jun 14, 2015

Contributor

yes

Contributor

oliverlee commented Jun 14, 2015

yes

@moorepants

This comment has been minimized.

Show comment
Hide comment
@moorepants

moorepants Jun 14, 2015

Member

Ok, you can merge if you think this is good now.

Member

moorepants commented Jun 14, 2015

Ok, you can merge if you think this is good now.

oliverlee added a commit that referenced this pull request Jun 14, 2015

Merge pull request #233 from moorepants/travis
Tweak the travis conda setup

@oliverlee oliverlee merged commit ec139f0 into pydy:master Jun 14, 2015

1 check passed

continuous-integration/travis-ci/pr The Travis CI build passed
Details

@moorepants moorepants deleted the moorepants:travis branch Jun 15, 2015

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment